%global realname riakc
%global debug_package %{nil}
%global git_tag d2297bf


Name:		erlang-riak_client
Version:	1.1.0
Release:	2%{?dist}
Summary:	Erlang client for Riak
Group:		Development/Languages
License:	ASL 2.0
URL:		http://github.com/basho/riak-erlang-client
# wget --no-check-certificate https://github.com/basho/riak-erlang-client/tarball/riakc-1.1.0
Source0:	basho-riak-erlang-client-%{realname}-%{version}-0-g%{git_tag}.tar.gz
Patch1:		erlang-riak_client-0001-Don-t-look-for-protobuffs.patch
Patch2:		erlang-riak_client-0002-Fixed-several-more-unit-tests.patch
Patch3:		erlang-riak_client-0003-Added-TCP-connection-timeout.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	erlang-erts
BuildRequires:	erlang-eunit
BuildRequires:	erlang-protobuffs
BuildRequires:	erlang-rebar
# No erlang(erlang:atom_to_binary/2) in R12B
Requires:	erlang-erts >= R13B
Requires:	erlang-kernel
Requires:	erlang-protobuffs
Requires:	erlang-stdlib
Provides:	riak-erlang-client = %{version}-%{release}


%description
Erlang client for Riak.


%prep
%setup -q -n basho-riak-erlang-client-%{git_tag}
%patch1 -p1 -b .dont_dl_protobuffs
%patch2 -p1 -b .fix_unittests
%patch3 -p1 -b .tcp_timeouts

%build
rebar compile -v


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
mkdir -p $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/include
install -m 644 ebin/%{realname}.app $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -m 644 ebin/*.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -m 644 include/*.hrl $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/include


%clean
rm -rf $RPM_BUILD_ROOT


%check
rebar eunit


%files
%defattr(-,root,root,-)
%doc LICENSE README.md docs/pb-client.txt
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/include
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/*.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/include/*.hrl


%changelog
* Wed Apr 27 2011 Peter Lemenkov <lemenkov@gmail.com> - 1.1.0-2
- Rebuild with new erlang-protobuffs

* Sat Feb 26 2011 Peter Lemenkov <lemenkov@gmail.com> - 1.1.0-1
- Ver. 1.1.0

* Sun Jan  9 2011 Peter Lemenkov <lemenkov@gmail.com> - 1.0.2-1
- Ver. 1.0.2

* Sat Oct 30 2010 Peter Lemenkov <lemenkov@gmail.com> - 1.0.1-1
- Initial build

